tcl_stat.d(1m)

NAME
tcl_stat.d - Tcl operation stats using DTrace.

SYNOPSIS
tcl_stat.d [interval [count]]

DESCRIPTION
This traces activity from all Tcl processes on the system with DTrace provider support (tcl8.4.16). The numbers are counts for the interval specified. The default interval is 1 second. If you see a count in "EXECS" but not in the other columns, then you may have older Tcl software that does not have the integrated DTrace provider (or newer software where the provider has changed).

OS
Any

STABILITY
Evolving - uses the DTrace Tcl provider, which may change as additional features are introduced. Check Tcl/Readme to see what version these scripts are based on.

EXAMPLES

Default output,
    # tcl_stat.d

FIELDS

EXEC/s
    Tcl programs executed per second, including those without Tcl provider support

PROC/s
    Procedures called, per second

CMD/s
    Commands created, per second

OBJNEW/s
    Objects created, per second

OBJFRE/s
    Objects freed, per second

OP/s
    Bytecode operations, per second

DOCUMENTATION
See the DTraceToolkit for further documentation under the Examples, Notes and Docs directories. The example files may be especially useful as they aim to demonstrate how to interpret the output.

EXIT
tcl_stat.d will run until Ctrl-C is hit.

AUTHOR
Brendan Gregg [CA, USA]

SEE ALSO
dtrace(1M)